<?php
/**
 *
 * @package   Social_Sharing
 * @author    Jimmy Reims <jimmyreimsmsg@mail.com>
 * @license   GPL-2.0+
 * @copyright 2014 Jimmy Reims
 *
 * @wordpress-plugin
 * Plugin Name:       Social Sharing
 * Plugin URI:        http://reimsreview.weebly.com
 * Description:       Social sharing plugin
 * Version:           1.0.0
 * Author:            Jimmy Reims
 * Author URI:        http://reimsreview.weebly.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'SCINC' ) ) {
	die();
}

/*----------------------------------------------------------------------------*
 * Public-Facing Functionality
 *----------------------------------------------------------------------------*/

require_once( plugin_dir_path( __FILE__ ) . 'includes/class-social-sharing-service.php' );
require_once( plugin_dir_path( __FILE__ ) . 'public/class-social-sharing.php' );


/*
 * Load the plugin
 */
add_action( 'plugins_loaded', array( 'Social_Sharing', 'get_instance' ) );


/**
 * Calls the shortcode function
 *
 * @since 1.0.0
 *
 * @return echoes the html markup for the sharing buttons
 */
function wps_sharing() {
	$Social_Sharing = Social_Sharing::get_instance();
	echo $Social_Sharing->sharing_buttons();
}


/*----------------------------------------------------------------------------*
 * Dashboard and Administrative Functionality
 *----------------------------------------------------------------------------*/

if ( is_admin() && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {

	require_once( plugin_dir_path( __FILE__ ) . 'admin/class-social-sharing-admin.php' );
	add_action( 'plugins_loaded', array( 'Social_Sharing_Admin', 'get_instance' ) );

}
